Package org.tmatesoft.svn.core.wc2

## Interface ISvnMerger

- All Superinterfaces:
    `ISVNMerger`

      public interface ISvnMerger
      extends ISVNMerger

  Merge driver interface used by `SVNKit` in merging operations.

  Merge drivers are created by a merger factory implementing the `ISVNMergerFactory` interface.

  Version:
    1.7
  Author:
    TMate Software Ltd.
  See Also:
    `DefaultSvnMerger`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---

    `SvnMergeResult`

    `mergeProperties​(ISvnMerger baseMerger, java.io.File localAbsPath, SVNNodeKind kind, org.tmatesoft.svn.core.internal.wc.SVNConflictVersion leftVersion, org.tmatesoft.svn.core.internal.wc.SVNConflictVersion rightVersion, SVNProperties serverBaseProperties, SVNProperties pristineProperties, SVNProperties actualProperties, SVNProperties propChanges, boolean baseMerge, boolean dryRun, ISVNConflictHandler conflictResolver)`

    Merges the property changes `propChanges` based on `serverBaseProperties` into the working copy `localAbsPath`

    `SvnMergeResult`

    `mergeText​(ISvnMerger baseMerger, java.io.File resultFile, java.io.File targetAbspath, java.io.File detranslatedTargetAbspath, java.io.File leftAbspath, java.io.File rightAbspath, java.lang.String targetLabel, java.lang.String leftLabel, java.lang.String rightLabel, SVNDiffOptions options, org.tmatesoft.svn.core.internal.wc.SVNDiffConflictChoiceStyle style)`

    Performs a text merge.

    - ### Methods inherited from interface org.tmatesoft.svn.core.wc.ISVNMerger

      `mergeProperties, mergeText`

- - ### Method Detail

    - #### mergeText

          SvnMergeResult mergeText​(ISvnMerger baseMerger,
                                   java.io.File resultFile,
                                   java.io.File targetAbspath,
                                   java.io.File detranslatedTargetAbspath,
                                   java.io.File leftAbspath,
                                   java.io.File rightAbspath,
                                   java.lang.String targetLabel,
                                   java.lang.String leftLabel,
                                   java.lang.String rightLabel,
                                   SVNDiffOptions options,
                                   org.tmatesoft.svn.core.internal.wc.SVNDiffConflictChoiceStyle style)
                            throws SVNException

      Performs a text merge.
      Parameters:
        `baseMerger` -
        `resultFile` -
        `targetAbspath` - working copy absolute path of the target
        `detranslatedTargetAbspath` -
        `leftAbspath` -
        `rightAbspath` -
        `targetLabel` -
        `leftLabel` -
        `rightLabel` -
        `options` - merge options to take into account
        `style` -
      Returns:
        result of merging
      Throws:
        `SVNException`

    - #### mergeProperties

          SvnMergeResult mergeProperties​(ISvnMerger baseMerger,
                                         java.io.File localAbsPath,
                                         SVNNodeKind kind,
                                         org.tmatesoft.svn.core.internal.wc.SVNConflictVersion leftVersion,
                                         org.tmatesoft.svn.core.internal.wc.SVNConflictVersion rightVersion,
                                         SVNProperties serverBaseProperties,
                                         SVNProperties pristineProperties,
                                         SVNProperties actualProperties,
                                         SVNProperties propChanges,
                                         boolean baseMerge,
                                         boolean dryRun,
                                         ISVNConflictHandler conflictResolver)
                                  throws SVNException

      Merges the property changes `propChanges` based on `serverBaseProperties` into the working copy `localAbsPath`
      Parameters:
        `baseMerger` -
        `localAbsPath` - working copy absolute path
        `kind` - node kind
        `leftVersion` -
        `rightVersion` -
        `serverBaseProperties` - properties that come from the server
        `pristineProperties` - pristine properties
        `actualProperties` - actual (working) properties
        `propChanges` - property changes that come from the repository
        `baseMerge` - if `false`, then changes only working properties; otherwise, changes both the base and working properties
        `dryRun` - if `true`, merge is simulated only, no real changes are done
        `conflictResolver` -
      Returns:
        result of merging
      Throws:
        `SVNException`